Bug 600553 - gold doesn't like linking to ncursesw
gold doesn't like linking to ncursesw
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 22:18 EDT by Stu Tomlinson
Modified: 2011-06-13 14:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-13 14:20:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stu Tomlinson 2010-06-04 22:18:31 EDT
Description of problem:
Trying new gold linker to link to ncursesw results in a linker error

Version-Release number of selected component (if applicable):
binutils-2.20.51.0.2-20.fc13.x86_64

How reproducible:
always

Steps to Reproduce:
1. Switch to gold linker:
sudo alternatives --set ld /usr/bin/ld.gold
2. try to build pidgin (finch)
3. fail
  
Actual results:
make[5]: Entering directory `/home/stu/build/pidgin-mtn/finch/libgnt'
/bin/sh ../../libtool --silent --tag=CC   --mode=link gcc  -g -g -O2 -export-dynamic -version_info 7:2:7 -no-undefined  -o libgnt.la -rpath /usr/local/lib gntmarshal.lo gntwidget.lo gntbindable.lo gntbox.lo gntbutton.lo gntcheckbox.lo gntclipboard.lo gntcolors.lo gntcombobox.lo gntentry.lo gntfilesel.lo gntkeys.lo gntlabel.lo gntline.lo gntmenu.lo gntmenuitem.lo gntmenuitemcheck.lo gntprogressbar.lo gntslider.lo gntstyle.lo gnttextview.lo gnttree.lo gntutils.lo gntwindow.lo gntwm.lo gntws.lo gntmain.lo -pthread -Wl,--export-dynamic -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0   -lncursesw -lpanelw -lxml2   -L/usr/lib/python2.6/config -lpython2.6 -lutil -lpthread -lnsl -lresolv 
/usr/bin/ld: error: /usr/lib/gcc/x86_64-redhat-linux/4.4.4/../../../../lib64/libncursesw.so:1:24: syntax error, unexpected '-', expecting STRING or QUOTED_STRING or AS_NEEDED
/usr/bin/ld: error: /usr/lib/gcc/x86_64-redhat-linux/4.4.4/../../../../lib64/libncursesw.so: not an object or archive
collect2: ld returned 1 exit status


Expected results:
Success.

Additional info:
$ cat /usr/lib/gcc/x86_64-redhat-linux/4.4.4/../../../../lib64/libncursesw.so
INPUT(libncursesw.so.5 -ltinfo)

This may be a ncurses bug, I don't know if the above is valid in a ld script.
Comment 1 Nick Clifton 2010-06-08 08:00:06 EDT
Hi Stu,

  It is a GOLD bug, not an ncurses one.  I have submitted a bug report and possible patch to the GOLD maintainer and if he approves it I will port it into Fedora as well.

  http://sourceware.org/ml/binutils/2010-06/msg00105.html

Cheers
  Nick
Comment 2 Nick Clifton 2010-06-09 11:05:56 EDT
Hi Stu,
 
  Right - the patch has been accepted into the mainline GOLD sources, so I have also applied it to the binutils rpm.  Please update to the latest release (2.20.51.0.2-21 for F13, 2.20.51.0.7-4 for rawhide) and the problem should be fixed.

Cheers
  Nick
Comment 3 Stu Tomlinson 2010-06-09 15:52:46 EDT
Hi Nick,

Thanks for the speedy attention to this bug, I can confirm 2.20.51.0.2-22.fc13 works for me.

Regards,

Stu.
Comment 4 Bug Zapper 2011-06-02 07:59:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.